Schedule
18 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getPoePortsList | GET | Get PoE ports list |
| getPoeScheduleList | GET | Get PoE schedule list |
| createPoeSchedule | POST | Create new PoE Schedule |
| deletePoeSchedule | DELETE | Delete PoE Schedule |
| modifyPoeSchedule | PUT | Modify PoE Schedule |
| getPortScheduleList | GET | Get port schedule list |
| createPortSchedule | POST | Create new Port Schedule |
| deletePortSchedule | DELETE | Delete Port Schedule |
| modifyPortSchedule | PUT | Modify Port Schedule |
| getPortSchedulePorts | GET | Get device ports list supporting port schedule |
| getRebootScheduleList_1 | GET | Get reboot schedule list |
| createRebootSchedule_1 | POST | Create new reboot schedule |
| deleteRebootSchedule_1 | DELETE | Delete reboot schedule |
| modifyRebootSchedule_1 | PUT | Modify reboot schedule |
| getUpgradeScheduleList | GET | Get upgrade schedule list |
| createUpgradeSchedule | POST | Create new upgrade schedule |
| deleteUpgradeSchedule | DELETE | Delete upgrade schedule |
| modifyUpgradeSchedule | PUT | Modify upgrade schedule |
getPoePortsList
GET /openapi/v1/{omadacId}/sites/{siteId}/poe-ports
Get PoE ports list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getPoePortsList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get PoE ports list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getPoeScheduleList
GET /openapi/v1/{omadacId}/sites/{siteId}/poe-schedules
Get PoE schedule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getPoeScheduleList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get poe schedule list.(Pagination)
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createPoeSchedule
POST /openapi/v1/{omadacId}/sites/{siteId}/poe-schedules
Create new PoE Schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema PoeScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
siteId | string | no | Site ID |
name | string | yes | PoE Schedule Name should contain 1 to 128 characters. |
status | boolean | yes | PoE Schedule Status. |
turnOnTime | string | yes | Time Range ID, cannot be empty. |
poePortsMap | object | yes | Key:Mac("String"), Value:Set of Ports("Integer") |
// omada_call_operation
{
"operationId": "createPoeSchedule",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new Poe Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.
-33006 - This name already exists in this site.
-33603 - Source or Destination entry does not exist.
deletePoeSchedule
DELETE /openapi/v1/{omadacId}/sites/{siteId}/poe-schedules/{poeScheduleId}
Delete PoE Schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
poeScheduleId | path | string | yes | PoE Schedule ID |
// omada_call_operation
{
"operationId": "deletePoeSchedule",
"params": {
"siteId": "<siteId>",
"poeScheduleId": "<poeScheduleId>"
}
}Details, permissions and error codes
Delete Poe Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.
modifyPoeSchedule
PUT /openapi/v1/{omadacId}/sites/{siteId}/poe-schedules/{poeScheduleId}
Modify PoE Schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
poeScheduleId | path | string | yes | PoE Schedule ID |
Request body — application/json (required) — schema PoeScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
siteId | string | no | Site ID |
name | string | yes | PoE Schedule Name should contain 1 to 128 characters. |
status | boolean | yes | PoE Schedule Status. |
turnOnTime | string | yes | Time Range ID, cannot be empty. |
poePortsMap | object | yes | Key:Mac("String"), Value:Set of Ports("Integer") |
// omada_call_operation
{
"operationId": "modifyPoeSchedule",
"params": {
"siteId": "<siteId>",
"poeScheduleId": "<poeScheduleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Poe Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-33603 - Source or Destination entry does not exist.
getPortScheduleList
GET /openapi/v1/{omadacId}/sites/{siteId}/port-schedules
Get port schedule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getPortScheduleList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get port schedule list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createPortSchedule
POST /openapi/v1/{omadacId}/sites/{siteId}/port-schedules
Create new Port Schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema PortScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Port Schedule Name should contain 1 to 128 characters. |
status | boolean | yes | Port Schedule Status. |
turnOnTime | string | yes | Time Range ID, cannot be empty. |
portsMap | object | yes | Key:MAC("String"), Value:Set of Ports("Integer") |
// omada_call_operation
{
"operationId": "createPortSchedule",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new Port Schedule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33006 - This name already exists in this site.
-33603 - Source or Destination entry does not exist.
-34554 - The number of Port schedules has reached the limit.
deletePortSchedule
DELETE /openapi/v1/{omadacId}/sites/{siteId}/port-schedules/{portScheduleId}
Delete Port Schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
portScheduleId | path | string | yes | Port Schedule ID |
// omada_call_operation
{
"operationId": "deletePortSchedule",
"params": {
"siteId": "<siteId>",
"portScheduleId": "<portScheduleId>"
}
}Details, permissions and error codes
Delete Port Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyPortSchedule
PUT /openapi/v1/{omadacId}/sites/{siteId}/port-schedules/{portScheduleId}
Modify Port Schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
portScheduleId | path | string | yes | Port Schedule ID |
Request body — application/json (required) — schema PortScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Port Schedule Name should contain 1 to 128 characters. |
status | boolean | yes | Port Schedule Status. |
turnOnTime | string | yes | Time Range ID, cannot be empty. |
portsMap | object | yes | Key:MAC("String"), Value:Set of Ports("Integer") |
// omada_call_operation
{
"operationId": "modifyPortSchedule",
"params": {
"siteId": "<siteId>",
"portScheduleId": "<portScheduleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Port Schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-33603 - Source or Destination entry does not exist.
getPortSchedulePorts
GET /openapi/v1/{omadacId}/sites/{siteId}/port-status-ports
Get device ports list supporting port schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getPortSchedulePorts",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get device ports list supporting port schedule
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getRebootScheduleList_1
GET /openapi/v1/{omadacId}/sites/{siteId}/reboot-schedules
Get reboot schedule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getRebootScheduleList_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get reboot schedule list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createRebootSchedule_1
POST /openapi/v1/{omadacId}/sites/{siteId}/reboot-schedules
Create new reboot schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema RebootScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | Reboot Schedule Id. |
name | string | yes | Reboot Schedule name should contain 1 to 128 characters. |
status | boolean | yes | Reboot Schedule status. |
deviceMacs | array<string> | yes | MAC address of the selected devices. E.g. AA-BB-CC-DD-11-22 |
time | RebootScheduleTimeOpenApiVO | yes | (RebootScheduleTimeOpenApiVO not expanded; call omada_get_schema "RebootScheduleTimeOpenApiVO") |
// omada_call_operation
{
"operationId": "createRebootSchedule_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new reboot schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-34501 - The number of RebootSchedules has reached the limit.
deleteRebootSchedule_1
DELETE /openapi/v1/{omadacId}/sites/{siteId}/reboot-schedules/{id}
Delete reboot schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Reboot Schedule ID |
// omada_call_operation
{
"operationId": "deleteRebootSchedule_1",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete reboot schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.
modifyRebootSchedule_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/reboot-schedules/{id}
Modify reboot schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Reboot Schedule ID |
Request body — application/json (required) — schema RebootScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | Reboot Schedule Id. |
name | string | yes | Reboot Schedule name should contain 1 to 128 characters. |
status | boolean | yes | Reboot Schedule status. |
deviceMacs | array<string> | yes | MAC address of the selected devices. E.g. AA-BB-CC-DD-11-22 |
time | RebootScheduleTimeOpenApiVO | yes | (RebootScheduleTimeOpenApiVO not expanded; call omada_get_schema "RebootScheduleTimeOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyRebootSchedule_1",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify reboot schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
getUpgradeScheduleList
GET /openapi/v1/{omadacId}/sites/{siteId}/upgrade-schedules
Get upgrade schedule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getUpgradeScheduleList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get upgrade schedule list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createUpgradeSchedule
POST /openapi/v1/{omadacId}/sites/{siteId}/upgrade-schedules
Create new upgrade schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema UpgradeScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Upgrade schedule name should contain 1 to 128 characters. |
status | boolean | yes | Upgrade schedule status. |
type | integer | yes | Type should be a value as follows: 0: execute only once; 1: repeat |
nextExecuteTime | integer | no | Execution timeStamp(ms). Required when type is 0. |
occurrenceTime | BaseScheduleTimeOpenApiVO | no | (BaseScheduleTimeOpenApiVO not expanded; call omada_get_schema "BaseScheduleTimeOpenApiVO") |
deviceMacs | array<string> | yes | MAC address of the selected devices. E.g. AA-BB-CC-DD-11-22 |
// omada_call_operation
{
"operationId": "createUpgradeSchedule",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new upgrade schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-34547 - Please select at least one device.
-34550 - The number of upgrade schedules has reached the limit.
-34551 - The execution time cannot be earlier than the current system time.
deleteUpgradeSchedule
DELETE /openapi/v1/{omadacId}/sites/{siteId}/upgrade-schedules/{id}
Delete upgrade schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Upgrade Schedule ID |
// omada_call_operation
{
"operationId": "deleteUpgradeSchedule",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete upgrade schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.
modifyUpgradeSchedule
PUT /openapi/v1/{omadacId}/sites/{siteId}/upgrade-schedules/{id}
Modify upgrade schedule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Upgrade Schedule ID |
Request body — application/json (required) — schema UpgradeScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Upgrade schedule name should contain 1 to 128 characters. |
status | boolean | yes | Upgrade schedule status. |
type | integer | yes | Type should be a value as follows: 0: execute only once; 1: repeat |
nextExecuteTime | integer | no | Execution timeStamp(ms). Required when type is 0. |
occurrenceTime | BaseScheduleTimeOpenApiVO | no | (BaseScheduleTimeOpenApiVO not expanded; call omada_get_schema "BaseScheduleTimeOpenApiVO") |
deviceMacs | array<string> | yes | MAC address of the selected devices. E.g. AA-BB-CC-DD-11-22 |
// omada_call_operation
{
"operationId": "modifyUpgradeSchedule",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify upgrade schedule
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-34547 - Please select at least one device.
-34551 - The execution time cannot be earlier than the current system time.